<?php

namespace Bookit\Classes;

class Translations {

	/**
	 * Frontend Translation Strings
	 * @return array
	 */
	public static function get_frontend_translations() {
		$translations = [
			'choose_category'           => esc_html__('Choose Category', 'bookit'),
			'choose_service'            => esc_html__('Choose Service', 'bookit'),
			'from'                      => esc_html__('From', 'bookit'),
			'no_services'               => esc_html__('No available Services!', 'bookit'),
			'booking_appointment'       => esc_html__('Booking Appointment', 'bookit'),
			'service'                   => esc_html__('Service', 'bookit'),
			'employee'                  => esc_html__('Employee', 'bookit'),
			'customer'                  => esc_html__('Customer', 'bookit'),
			'time'                      => esc_html__('Time', 'bookit'),
			'price'                     => esc_html__('Price', 'bookit'),
			'submit'                    => esc_html__('Submit', 'bookit'),
			'please_choose_service'     => esc_html__('Please choose a Service!', 'bookit'),
			'booking_details'           => esc_html__('Booking Details', 'bookit'),
			'full_name'                 => esc_html__('Full Name', 'bookit'),
			'email'                     => esc_html__('Email', 'bookit'),
			'phone'                     => esc_html__('Phone', 'bookit'),
			'password'                  => esc_html__('Password', 'bookit'),
			'password_confirmation'     => esc_html__('Password Confirmation', 'bookit'),
			'locally'                   => esc_html__('I will pay locally', 'bookit'),
			'paypal'                    => esc_html__('Pay now with PayPal', 'bookit'),
			'stripe'                    => esc_html__('Pay now with Credit Card', 'bookit'),
			'woocommerce'               => esc_html__('WooCommerce Checkout', 'bookit'),
			'book_now'                  => esc_html__('Book Now', 'bookit'),
			'success_booking'           => esc_html__('Your Appointment Request successfully sent!', 'bookit'),
			'reservation_confirmation'  => esc_html__('Reservation confirmation', 'bookit'),
			'booking_email_sent'        => esc_html__('We have sent your booking information to your email address.', 'bookit'),
			'you_will_be_redirected'    => esc_html__('You will be redirected to', 'bookit'),
			'in'                        => esc_html__('in', 'bookit'),
			'seconds'                   => esc_html__('seconds', 'bookit'),
			'client_name'               => esc_html__('Client Name', 'bookit'),
			'reservation_time'          => esc_html__('Reservation Time', 'bookit'),
			'reservation_date'          => esc_html__('Reservation Date', 'bookit'),
			'print_confirmation'        => esc_html__('Print Confirmation', 'bookit'),
			'required_field'            => esc_html__('This field is required.', 'bookit'),
			'invalid_email'             => esc_html__('Invalid Email address.', 'bookit'),
			'confirmation_mismatched'   => esc_html__('Confirmation mismatched.', 'bookit'),
			'not_available'             => esc_html__('Not Available', 'bookit'),
			'no_appointments'           => esc_html__('No Booked Appointments', 'bookit'),
			'status'                    => esc_html__('Status', 'bookit'),
			'approve'                   => esc_html__('Approve', 'bookit'),
			'reject'                    => esc_html__('Reject', 'bookit'),
			'cancel'                    => esc_html__('Cancel', 'bookit'),
			'something_went_wrong'      => esc_html__('Something went wrong', 'bookit'),
			'not_authenticated_card'    => esc_html__('Your card was not authenticated, please try again', 'bookit'),

		];

		return $translations;
	}

	/**
	 * Admin Translation Strings
	 * @return array
	 */
	public static function get_admin_translations() {
		$translations = [
			'search'                        => esc_html__('Search', 'bookit'),
			'add_new'                       => esc_html__('Add New', 'bookit'),
			'categories'                    => esc_html__('Categories', 'bookit'),
			'category'                      => esc_html__('Category', 'bookit'),
			'no_results'                    => esc_html__('No Results', 'bookit'),
			'appointment'                   => esc_html__('Appointment', 'bookit'),
			'all_appointments'              => esc_html__('All Appointments', 'bookit'),
			'add'                           => esc_html__('Add', 'bookit'),
			'create'                        => esc_html__('Create', 'bookit'),
			'edit'                          => esc_html__('Edit', 'bookit'),
			'delete'                        => esc_html__('Delete', 'bookit'),
			'save'                          => esc_html__('Save', 'bookit'),
			'approve'                       => esc_html__('Approve', 'bookit'),
			'reject'                        => esc_html__('Reject', 'bookit'),
			'cancel'                        => esc_html__('Cancel', 'bookit'),
			'past'                          => esc_html__('Past', 'bookit'),
			'add_new_category'              => esc_html__('Add New Category', 'bookit'),
			'enter_category_name'           => esc_html__('Enter Category Name', 'bookit'),
			'all'                           => esc_html__('All', 'bookit'),
			'pending'                       => esc_html__('Pending', 'bookit'),
			'approved'                      => esc_html__('Approved', 'bookit'),
			'cancelled'                     => esc_html__('Cancelled', 'bookit'),
			'customer'                      => esc_html__('Customer', 'bookit'),
			'customer_phone'                => esc_html__('Customer Phone', 'bookit'),
			'staff'                         => esc_html__('staff', 'bookit'),
			'service'                       => esc_html__('service', 'bookit'),
			'services'                      => esc_html__('Services', 'bookit'),
			'price'                         => esc_html__('Price', 'bookit'),
			'date'                          => esc_html__('Date', 'bookit'),
			'time'                          => esc_html__('Time', 'bookit'),
			'payment'                       => esc_html__('Payment', 'bookit'),
			'status'                        => esc_html__('Status', 'bookit'),
			'actions'                       => esc_html__('Actions', 'bookit'),
			'details'                       => esc_html__('Details', 'bookit'),
			'payment_method'                => esc_html__('Payment method', 'bookit'),
			'no_payment_method'             => esc_html__('No Payment Method', 'bookit'),
			'payment_status'                => esc_html__('Payment status', 'bookit'),
			'del_appointment_info'          => esc_html__('You are going to delete appointment ', 'bookit'),
			'send_notification_to'          => esc_html__('Send Notification to:','bookit'),
			'cancel_reason_title'           => esc_html__('Reason for cancellation ','bookit'),
			'reason_placeholder'            => esc_html__('Reason message','bookit'),
			'employee'                      => esc_html__('Employee', 'bookit'),
			'customer'                      => esc_html__('Customer', 'bookit'),
			'confirm_service_edit_duration' => esc_html__('Changing of the service duration will not affect the existing appointments and will be applied only to new appointments', 'bookit'),
			'full_name'                     => esc_html__('Full Name', 'bookit'),
			'customer_name'                 => esc_html__('Customer name', 'bookit'),
			'email'                         => esc_html__('Email', 'bookit'),
			'phone'                         => esc_html__('Phone', 'bookit'),
			'services'                      => esc_html__('Services', 'bookit'),
			'working_hours'                 => esc_html__('Working Hours', 'bookit'),
			'lunch_break'                   => esc_html__('Lunch Break'),
			'confirm_edit_staff_wh'         => esc_html__('Changing of the Staff working hours will not affect the existing appointments and will be applied only to new appointments', 'bookit'),
			'currency_error'                => esc_html__('Wrong currency value'),
			'appointment_id'                => esc_html__('Appointment ID', 'bookit'),
			'filter_by_service'             => esc_html__('All Service', 'bookit'),
			'filter_by_staff'               => esc_html__('All Staff', 'bookit'),
			'all'                           => esc_html__('All', 'bookit'),
			'selected'                      => esc_html__('Selected', 'bookit'),
			'select'                        => esc_html__('Select', 'bookit'),
			'autorefresh'                   => esc_html__('Auto Refresh', 'bookit'),
			'detailed_view'                 => esc_html__('Detailed view', 'bookit'),
			'disabled'                      => esc_html__('disabled', 'bookit'),
			'total'                         => esc_html__('Total', 'bookit'),
			'icon'                          => esc_html__('Icon'),
			'duration'                      => esc_html__('Duration'),
			'title'                         => esc_html__('Title'),
			'confirm_service_delete_title'  => esc_html__('You have {appointments} active appointments and {staff} staff associated with this service.'),
			'confirm_service_delete'        => esc_html__('If you delete the service,  all appointments associated with it, will be deleted as well.  You can edit the service instead.'),
			'confirm_staff_delete_title'    => esc_html__('You have {appointments} active appointments and {services} services associated with this staff member.'),
			'confirm_staff_delete'          => esc_html__('If you remove the employee, all related services will remain without staff, and all appointments will be deleted.'),
			'confirm_customer_delete_title' => esc_html__('You have {appointments} active appointments associated with this customer.'),
			'confirm_customer_delete'       => esc_html__('If you remove the customer, all appointments associated with customer will be deleted.'),
			'confirm_category_delete_title' => esc_html__('You have {services} active services, {appointments} active appointments and {staff} staff associated with this category.'),
			'confirm_category_delete'       => esc_html__('If you delete the category,  all service and appointments associated with it, will be deleted as well.  You can edit the category instead.'),
			'edit_appointments'             => esc_html__('Edit Appointments', 'bookit'),
			'time_slot_duration_title'      => esc_html__('The duration of the time slot', 'bookit'),
			'woocommerce_alert'             => esc_html__('To use this feature you need to install WooCommerce Plugin.', 'bookit'),
			'comment'                       => esc_html__('Comment', 'bookit'),
			'comment_placeholder'           => esc_html__('Enter your comment', 'bookit'),
			'new_customer'                  => esc_html__('New customer', 'bookit'),
			'search_placeholder'            => esc_html__('Type to search', 'bookit'),
			'password'                      => esc_html__('Password', 'bookit'),
			'password_confirmation'         => esc_html__('Password Confirmation', 'bookit'),
			'required_field'                => esc_html__('This field is required.', 'bookit'),
			'invalid_email'                 => esc_html__('Invalid Email address.', 'bookit'),
			'confirmation_mismatched'       => esc_html__('Confirmation mismatched.', 'bookit'),
			'not_available'                 => esc_html__('Not Available', 'bookit'),
			'password_placeholder'          => esc_html__('Enter password', 'bookit'),
			'repeat_password_placeholder'   => esc_html__('Repeat password', 'bookit'),
		];

		return $translations;
	}

}