<?php

namespace Bookit\Classes\Admin;

use Bookit\Classes\Nonces;
use Bookit\Classes\Template;
use Bookit\Classes\Translations;

class DashboardController {

	/**
	 * Enqueue Admin Styles & Scripts
	 */
	public static function enqueue_styles_scripts() {
		wp_enqueue_style( 'bookit-dashboard-css', BOOKIT_URL . 'assets/dist/dashboard/css/app.css', [], BOOKIT_VERSION );
		wp_enqueue_script( 'bookit-dashboard-js', BOOKIT_URL . 'assets/dist/dashboard/js/app.js', [], BOOKIT_VERSION );

		$ajax_data = [
			'services_url'  => admin_url( 'admin.php?page=bookit-services' ),
			'calendar_url'  => admin_url( 'admin.php?page=bookit' ),
			'site_url'      => get_bloginfo( 'url' ),
			'ajax_url'      => admin_url( 'admin-ajax.php' ),
			'translations'  => Translations::get_admin_translations(),
			'nonces'        => Nonces::get_admin_nonces()
		];

		wp_localize_script( 'bookit-dashboard-js', 'bookit_window', $ajax_data );
	}

	/**
	 * Display Rendered Template
	 * @return bool|string
	 */
	public static function render_go_pro() {
		wp_enqueue_style( 'bookit-pricing-css', BOOKIT_URL . 'assets/dist/dashboard/css/gopro.css', [], BOOKIT_VERSION );

		return Template::load_template( 'dashboard/bookit-go-pro', [], true );
	}

}